SelectionFunction.SelectAll (BioJava-1.5-beta API)
Keywords: org.biojavax.ga.functions.SelectionFunction.SelectAll class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.ga.functions
Class SelectionFunction.SelectAll

    java.lang.Object
      org.biojavax.ga.functions.SelectionFunction.SelectAll

All Implemented Interfaces:
  SelectionFunction

Enclosing interface:
  SelectionFunction

    public static final class SelectionFunction.SelectAll

extends Object
implements SelectionFunction

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.ga.functions.SelectionFunction
`SelectionFunction.SelectAll, SelectionFunction.Threshold`

Field Summary

Fields inherited from interface org.biojavax.ga.functions.SelectionFunction
`DEFAULT, FITNESS_FUNCTION`

Constructor Summary
`SelectionFunction.SelectAll()`

Method Summary
`FitnessFunction` | `getFitnessFunction()`
`Population` | `select(Population pop, GeneticAlgorithm genAlg)` Selects a `Population` of `Organisms` for replication based on their fitness.
`void` | `setFitnessFunction(FitnessFunction func)` The fitness function that will be used by the select method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionFunction.SelectAll

    public SelectionFunction.SelectAll()

Method Detail

### select

    public Population select(Population pop,
                             GeneticAlgorithm genAlg)

  Description copied from interface: `SelectionFunction`
  Selects a `Population` of `Organisms` for replication based on their fitness.

  Specified by:
    `select` in interface `SelectionFunction`
  Parameters:
    `pop` - the `Population` to select from.
    `genAlg` - the parent `GeneticAlgorithm`.
  Returns:
    the `Organism`s selected

### getFitnessFunction

    public FitnessFunction getFitnessFunction()

  Specified by:
    `getFitnessFunction` in interface `SelectionFunction`
  Returns:
    you won't get this far, trust me!
  Throws:
    `UnsupportedOperationException` - as there is no `FitnessFunction` for this class

### setFitnessFunction

    public void setFitnessFunction(FitnessFunction func)
                            throws ChangeVetoException

  Description copied from interface: `SelectionFunction`
  The fitness function that will be used by the select method.

  Specified by:
    `setFitnessFunction` in interface `SelectionFunction`
  Parameters:
    `func` - you could try this but it will throw a `ChangeVetoException`
  Throws:
    `ChangeVetoException` - you Cannot set the `FitnessFunction` of a `SelectAll` `SelectionFunction`"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD